# CUpti_GetSassToSourceCorrelationParams Struct Reference
[CUPTI PC Sampling API]

Params for cuptiGetSassToSourceCorrelation.

## Data Fields
const void * | cubin
size_t | cubinSize
char * | dirName
char * | fileName
const char * | functionName
uint32_t | lineNumber
uint64_t | pcOffset
size_t | size

## Field Documentation

const void* CUpti_GetSassToSourceCorrelationParams::cubin

[w] Pointer to cubin binary where function belongs.

size_t CUpti_GetSassToSourceCorrelationParams::cubinSize

[w] Size of cubin binary.

char* CUpti_GetSassToSourceCorrelationParams::dirName

[r] Path for the directory of source file.

char* CUpti_GetSassToSourceCorrelationParams::fileName

[r] Path for the source file.

const char* CUpti_GetSassToSourceCorrelationParams::functionName

[w] Function name to which PC belongs.

uint32_t CUpti_GetSassToSourceCorrelationParams::lineNumber

[r] Line number in the source code.

uint64_t CUpti_GetSassToSourceCorrelationParams::pcOffset

[w] PC offset

size_t CUpti_GetSassToSourceCorrelationParams::size

[w] Size of the data structure i.e. CUpti_GetSassToSourceCorrelationParamsSize CUPTI client should set the size of the structure. It will be used in CUPTI to check what fields are available in the structure. Used to preserve backward compatibility.